Package org.eclipse.cdt.core.formatter

## Class DefaultCodeFormatterConstants

- java.lang.Object
- - org.eclipse.cdt.core.formatter.DefaultCodeFormatterConstants

    public class DefaultCodeFormatterConstants
    extends Object

Constants used to set up the options of the code formatter.

Since:
  4.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static String` `END_OF_LINE` FORMATTER / Value to set a brace location at the end of a line.
`static String` `FALSE` FORMATTER / Value to set an option to false.
`static String` `FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_METHOD_INVOCATION` FORMATTER / Option for alignment of arguments in method invocation - option id: "org.eclipse.cdt.core.formatter.alignment_for_arguments_in_method_invocation" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_ASSIGNMENT` FORMATTER / Option for alignment of assignment - option id: "org.eclipse.cdt.core.formatter.alignment_for_assignment" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_BASE_CLAUSE_IN_TYPE_DECLARATION` FORMATTER / Option for alignment of base-clause in type declaration - option id: "org.eclipse.cdt.core.formatter.alignment_for_base_clause_in_type_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_NEXT_SHIFTED, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_BINARY_EXPRESSION` FORMATTER / Option for alignment of binary expression - option id: "org.eclipse.cdt.core.formatter.alignment_for_binary_expression" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_COMPACT_IF` FORMATTER / Option for alignment of compact if - option id: "org.eclipse.cdt.core.formatter.alignment_for_compact_if" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_ONE_PER_LINE, INDENT_BY_ONE)
`static String` `FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION` FORMATTER / Option for alignment of conditional expression - option id: "org.eclipse.cdt.core.formatter.alignment_for_conditional_expression" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT_FIRST_BREAK, INDENT_ON_COLUMN)
`static String` `FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION_CHAIN` FORMATTER / Option for alignment of a chain of conditional expressions.
`static String` `FORMATTER_ALIGNMENT_FOR_CONSTRUCTOR_INITIALIZER_LIST` FORMATTER / Option for alignment of constructor initializer list - option id: "org.eclipse.cdt.core.formatter.alignment_for_constructor_initializer_list" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_DECLARATOR_LIST` FORMATTER / Option for alignment of a declarator list - option id: "org.eclipse.cdt.core.formatter.alignment_for_declarator_list" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_ENUMERATOR_LIST` FORMATTER / Option for alignment of a enumerator list - option id: "org.eclipse.cdt.core.formatter.alignment_for_enumerator_list" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_ONE_PER_LINE, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_EXPRESSION_LIST` FORMATTER / Option for alignment of a expression list (except arguments in a method invocation) - option id: "org.eclipse.cdt.core.formatter.alignment_for_expression_list" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_EXPRESSIONS_IN_INITIALIZER_LIST` FORMATTER / Option for alignment of expressions in initializer list - option id: "org.eclipse.cdt.core.formatter.alignment_for_expressions_in_array_initializer" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_LAMBDA_EXPRESSION` FORMATTER / Option for alignment of lambda expression - option id: "org.eclipse.cdt.core.formatter.alignment_for_lambda_expression" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_MEMBER_ACCESS` FORMATTER / Option for alignment of member access - option id: "org.eclipse.cdt.core.formatter.alignment_for_member_access" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, M_NO_ALIGNMENT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_OVERLOADED_LEFT_SHIFT_CHAIN` FORMATTER / Option for alignment of stream output expression consisting of a chain of overloaded << operators.
`static String` `FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_METHOD_DECLARATION` FORMATTER / Option for alignment of parameters in method declaration - option id: "org.eclipse.cdt.core.formatter.alignment_for_parameters_in_method_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_METHOD_DECLARATION` FORMATTER / Option for alignment of throws clause in method declaration - option id: "org.eclipse.cdt.core.formatter.alignment_for_throws_clause_in_method_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` `FORMATTER_BRACE_POSITION_FOR_BLOCK` FORMATTER / Option to position the braces of a block - option id: "org.eclipse.cdt.core.formatter.brace_position_for_block" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` `FORMATTER_BRACE_POSITION_FOR_BLOCK_IN_CASE` FORMATTER / Option to position the braces of a block in a case statement when the block is the first statement following the case - option id: "org.eclipse.cdt.core.formatter.brace_position_for_block_in_case" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` `FORMATTER_BRACE_POSITION_FOR_INITIALIZER_LIST` FORMATTER / Option to position the braces of initializer list - option id: "org.eclipse.cdt.core.formatter.brace_position_for_array_initializer" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` `FORMATTER_BRACE_POSITION_FOR_LINKAGE_DECLARATION` FORMATTER / Option to position the braces of a linkage declaration - option id: "org.eclipse.cdt.core.formatter.brace_position_for_linkage_declaration" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION` FORMATTER / Option to position the braces of a method declaration - option id: "org.eclipse.cdt.core.formatter.brace_position_for_method_declaration" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` `FORMATTER_BRACE_POSITION_FOR_NAMESPACE_DECLARATION` FORMATTER / Option to position the braces of a namespace declaration - option id: "org.eclipse.cdt.core.formatter.brace_position_for_namespace_declaration" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` `FORMATTER_BRACE_POSITION_FOR_SWITCH` FORMATTER / Option to position the braces of a switch statement - option id: "org.eclipse.cdt.core.formatter.brace_position_for_switch" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION` FORMATTER / Option to position the braces of a type declaration - option id: "org.eclipse.cdt.core.formatter.brace_position_for_type_declaration" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` `FORMATTER_COMMENT_BLOCK` FORMATTER / Formatter option to format block comment - option id: "org.eclipse.cdt.core.formatter.format_block_comment" - default: true
`static String` `FORMATTER_COMMENT_HEADER` FORMATTER / Formatter option to format header comment - option id: "org.eclipse.cdt.core.formatter.format_header_comment" - default: true
`static String` `FORMATTER_COMMENT_LINE` FORMATTER / Formatter option to format line comment - option id: "org.eclipse.cdt.core.formatter.format_line_comment" - default: true
`static String` `FORMATTER_COMMENT_LINE_UP_LINE_COMMENT_IN_BLOCKS_ON_FIRST_COLUMN` FORMATTER / Option to control whether line comments on subsequent lines on unindented code should be treated as block comment - option id: "org.eclipse.cdt.core.formatter.comment.line_up_line_comment_in_blocks_on_first_column" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_COMMENT_MIN_DISTANCE_BETWEEN_CODE_AND_LINE_COMMENT` FORMATTER / Option to specify the minimum distance between code and line comment.
`static String` `FORMATTER_COMMENT_NEVER_INDENT_LINE_COMMENTS_ON_FIRST_COLUMN` FORMATTER / Option to control whether comments starting from the beginning of line should stay that way and never be indented.
`static String` `FORMATTER_COMMENT_OFF_TAG` FORMATTER / Formatter off tag format option - option id: "org.eclipse.cdt.core.formatter.comment_formatter_off_tag" - default: @formatter:off
`static String` `FORMATTER_COMMENT_ON_TAG` FORMATTER / Formatter on tag format option - option id: "org.eclipse.cdt.core.formatter.comment_formatter_on_tag" - default: @formatter:on
`static String` `FORMATTER_COMMENT_PRESERVE_WHITE_SPACE_BETWEEN_CODE_AND_LINE_COMMENT` FORMATTER / Option to control whether the white space between code and line comments should be preserved or replaced with a single space - option id: "org.eclipse.cdt.core.formatter.comment.preserve_white_space_between_code_and_line_comments" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_COMPACT_ELSE_IF` FORMATTER / Option to compact else/if - option id: "org.eclipse.cdt.core.formatter.compact_else_if" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_CONTINUATION_INDENTATION` FORMATTER / Option to set the continuation indentation - option id: "org.eclipse.cdt.core.formatter.continuation_indentation" - possible values: "<n>", where n is zero or a positive integer - default: "2"
`static String` `FORMATTER_CONTINUATION_INDENTATION_FOR_INITIALIZER_LIST` FORMATTER / Option to set the continuation indentation inside initializer list - option id: "org.eclipse.cdt.core.formatter.continuation_indentation_for_array_initializer" - possible values: "<n>", where n is zero or a positive integer - default: "2"
`static String` `FORMATTER_CURRENT_FILE` FORMATTER / Option for the current file - option id: "org.eclipse.cdt.core.formatter.current_file" - possible values: object of class `IFile` or `null` - default: null
`static String` `FORMATTER_INDENT_ACCESS_SPECIFIER_COMPARE_TO_TYPE_HEADER` FORMATTER / Option to indent 'public:', 'protected:', 'private:' access specifiers relative to class declaration.
`static String` `FORMATTER_INDENT_ACCESS_SPECIFIER_EXTRA_SPACES` FORMATTER / Number of extra spaces in front of 'public:', 'protected:', 'private:' access specifiers.
`static String` `FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_ACCESS_SPECIFIER` FORMATTER / Option to indent body declarations relative to access specifiers (visibility labels) - option id: "org.eclipse.cdt.core.formatter.indent_body_declarations_compare_to_access_specifier" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_LINKAGE` FORMATTER / Option to indent body declarations compare to its enclosing linkage section - option id: "org.eclipse.cdt.core.formatter.indent_body_declarations_compare_to_linkage" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_NAMESPACE_HEADER` FORMATTER / Option to indent body declarations compare to its enclosing namespace header - option id: "org.eclipse.cdt.core.formatter.indent_body_declarations_compare_to_namespace_header" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_INDENT_BREAKS_COMPARE_TO_CASES` FORMATTER / Option to indent breaks compare to cases - option id: "org.eclipse.cdt.core.formatter.indent_breaks_compare_to_cases" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_INDENT_DECLARATION_COMPARE_TO_TEMPLATE_HEADER` FORMATTER / Option to indent template declaration compare to template header - option id: "org.eclipse.cdt.core.formatter.indent_declaration_compare_to_template_header" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_INDENT_EMPTY_LINES` FORMATTER / Option to indent empty lines - option id: "org.eclipse.cdt.core.formatter.indent_empty_lines" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_INDENT_INSIDE_LINE_COMMENTS` FORMATTER / Option to indent inside line comments at column 0 - option id: "org.eclipse.cdt.core.formatter.indent_inside_line_comments" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_INDENT_LABEL_COMPARE_TO_STATEMENTS` FORMATTER / Option to indent labels compare to statements where it is defined - option id: "org.eclipse.cdt.core.formatter.indent_label_compare_to_statements" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BLOCK` FORMATTER / Option to indent statements inside a block - option id: "org.eclipse.cdt.core.formatter.indent_statements_compare_to_block" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BODY` FORMATTER / Option to indent statements inside the body of a method or a constructor - option id: "org.eclipse.cdt.core.formatter.indent_statements_compare_to_body" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_CASES` FORMATTER / Option to indent switch statements compare to cases - option id: "org.eclipse.cdt.core.formatter.indent_switchstatements_compare_to_cases" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_SWITCH` FORMATTER / Option to indent switch statements compare to switch - option id: "org.eclipse.cdt.core.formatter.indent_switchstatements_compare_to_switch" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_INDENTATION_SIZE` FORMATTER / Option to specify the equivalent number of spaces that represents one indentation - option id: "org.eclipse.cdt.core.formatter.indentation.size" - possible values: "<n>", where n is zero or a positive integer - default: "4"
`static String` `FORMATTER_INSERT_NEW_LINE_AFTER_COLON_IN_CONSTRUCTOR_INITIALIZER_LIST` FORMATTER / Option to insert a new line after colon in constructor initializer list.
`static String` `FORMATTER_INSERT_NEW_LINE_AFTER_LABEL` FORMATTER / Option to insert a new line after a label - option id: "org.eclipse.cdt.core.formatter.insert_new_line_after_label" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_NEW_LINE_AFTER_OPENING_BRACE_IN_INITIALIZER_LIST` FORMATTER / Option to insert a new line after the opening brace in an initializer list - option id: "org.eclipse.cdt.core.formatter.insert_new_line_after_opening_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_NEW_LINE_AFTER_TEMPLATE_DECLARATION` FORMATTER / Option to insert a new line after template declaration - option id: "org.eclipse.cdt.core.formatter.insert_new_line_after_template_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_NEW_LINE_AT_END_OF_FILE_IF_MISSING` FORMATTER / Option to insert a new line at the end of the current file if missing - option id: "org.eclipse.cdt.core.formatter.insert_new_line_at_end_of_file_if_missing" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_NEW_LINE_BEFORE_CATCH_IN_TRY_STATEMENT` FORMATTER / Option to insert a new line before the catch keyword in try statement - option id: "org.eclipse.cdt.core.formatter.insert_new_line_before_catch_in_try_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_NEW_LINE_BEFORE_CLOSING_BRACE_IN_INITIALIZER_LIST` FORMATTER / Option to insert a new line before the closing brace in an initializer list - option id: "org.eclipse.cdt.core.formatter.insert_new_line_before_closing_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_NEW_LINE_BEFORE_COLON_IN_CONSTRUCTOR_INITIALIZER_LIST` FORMATTER / Option to insert a new line before colon in constructor initializer list.
`static String` `FORMATTER_INSERT_NEW_LINE_BEFORE_ELSE_IN_IF_STATEMENT` FORMATTER / Option to insert a new line before the else keyword in if statement - option id: "org.eclipse.cdt.core.formatter.insert_new_line_before_else_in_if_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_NEW_LINE_BEFORE_IDENTIFIER_IN_FUNCTION_DECLARATION` FORMATTER / Option to insert a new line before the identifier in a function declaration - option id: "org.eclipse.cdt.core.formatter.insert_new_line_before_identifier_in_function_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_NEW_LINE_BEFORE_WHILE_IN_DO_STATEMENT` FORMATTER / Option to insert a new line before while in do statement - option id: "org.eclipse.cdt.core.formatter.insert_new_line_before_while_in_do_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_NEW_LINE_IN_EMPTY_BLOCK` FORMATTER / Option to insert a new line in an empty block - option id: "org.eclipse.cdt.core.formatter.insert_new_line_in_empty_block" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_ASSIGNMENT_OPERATOR` FORMATTER / Option to insert a space after an assignment operator - option id: "org.eclipse.cdt.core.formatter.insert_space_after_assignment_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_BINARY_OPERATOR` FORMATTER / Option to insert a space after a binary operator - option id: "org.eclipse.cdt.core.formatter.insert_space_after_binary_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS` FORMATTER / Option to insert a space after the closing angle bracket in template arguments - option id: "org.eclipse.cdt.core.formatter.insert_space_after_closing_angle_bracket_in_template_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS` FORMATTER / Option to insert a space after the closing angle bracket in template parameters - option id: "org.eclipse.cdt.core.formatter.insert_space_after_closing_angle_bracket_in_template_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_CLOSING_BRACE_IN_BLOCK` FORMATTER / Option to insert a space after the closing brace of a block - option id: "org.eclipse.cdt.core.formatter.insert_space_after_closing_brace_in_block" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_CLOSING_PAREN_IN_CAST` FORMATTER / Option to insert a space after the closing parenthesis of a cast expression - option id: "org.eclipse.cdt.core.formatter.insert_space_after_closing_paren_in_cast" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COLON_IN_BASE_CLAUSE` FORMATTER / Option to insert a space after colon in a base clause of a type definition - option id: "org.eclipse.cdt.core.formatter.insert_space_after_colon_in_base_clause" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CASE` FORMATTER / Option to insert a space after colon in a case statement when a opening brace follows the colon - option id: "org.eclipse.cdt.core.formatter.insert_space_after_colon_in_case" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CONDITIONAL` FORMATTER / Option to insert a space after the colon in a conditional expression - option id: "org.eclipse.cdt.core.formatter.insert_space_after_colon_in_conditional" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COLON_IN_LABELED_STATEMENT` FORMATTER / Option to insert a space after the colon in a labeled statement - option id: "org.eclipse.cdt.core.formatter.insert_space_after_colon_in_labeled_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_BASE_TYPES` FORMATTER / Option to insert a space after the comma in base type names of a type header - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_base_types" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_DECLARATOR_LIST` FORMATTER / Option to insert a space after the comma in a declarator list - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_declarator_list" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ENUM_DECLARATIONS` FORMATTER / Option to insert a space after the comma in enum declarations - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_enum_declarations" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_EXPRESSION_LIST` FORMATTER / Option to insert a space after the comma in expression list - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_expression_list" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_INITIALIZER_LIST` FORMATTER / Option to insert a space after the comma in an initializer list - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_PARAMETERS` FORMATTER / Option to insert a space after the comma in the parameters of a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_method_declaration_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_THROWS` FORMATTER / Option to insert a space after the comma in the exception names in a throws clause of a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_method_declaration_throws" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_INVOCATION_ARGUMENTS` FORMATTER / Option to insert a space after the comma in the arguments of a method invocation - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_method_invocation_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_STRUCTURED_BINDING_NAME_LIST` FORMATTER / Option to insert a space after a comma in the name list of a structured binding declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_structured_binding_name_list" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_TEMPLATE_ARGUMENTS` FORMATTER / Option to insert a space after the comma in template arguments - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_template_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_TEMPLATE_PARAMETERS` FORMATTER / Option to insert a space after the comma in template parameters - option id: "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_template_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_LAMBDA_RETURN` FORMATTER / Option to insert a space after lambda return - option id: "org.eclipse.cdt.core.formatter.insert_space_after_lambda_return" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS` FORMATTER / Option to insert a space after the opening angle bracket in template arguments - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_angle_bracket_in_template_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS` FORMATTER / Option to insert a space after the opening angle bracket in template parameters - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_angle_bracket_in_template_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACE_IN_INITIALIZER_LIST` FORMATTER / Option to insert a space after the opening brace in an initializer list - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET` FORMATTER / Option to insert a space after the opening bracket - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_bracket" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CAST` FORMATTER / Option to insert a space after the opening parenthesis in a cast expression - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_cast" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CATCH` FORMATTER / Option to insert a space after the opening parenthesis in a catch - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_catch" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_EXCEPTION_SPECIFICATION` FORMATTER / Option to insert a space after the opening parenthesis in an exception specification - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_exception_specification" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_FOR` FORMATTER / Option to insert a space after the opening parenthesis in a for statement - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_IF` FORMATTER / Option to insert a space after the opening parenthesis in an if statement - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_if" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space after the opening parenthesis in a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_INVOCATION` FORMATTER / Option to insert a space after the opening parenthesis in a method invocation - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_method_invocation" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION` FORMATTER / Option to insert a space after the opening parenthesis in a parenthesized expression - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_parenthesized_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SWITCH` FORMATTER / Option to insert a space after the opening parenthesis in a switch statement - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_switch" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_WHILE` FORMATTER / Option to insert a space after the opening parenthesis in a while statement - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_while" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_OPENING_STRUCTURED_BINDING_NAME_LIST` FORMATTER / Option to insert a space after the opening bracket of the name list in a structured binding declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_after_opening_structured_binding_name_list" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_POINTER_IN_DECLARATOR_LIST` FORMATTER / Option to insert a space after a pointer in a declarator list - option id: "org.eclipse.cdt.core.formatter.insert_space_after_pointer_in_declarator_list" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_POINTER_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space after a pointer in a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_after_pointer_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_POSTFIX_OPERATOR` FORMATTER / Option to insert a space after a postfix operator - option id: "org.eclipse.cdt.core.formatter.insert_space_after_postfix_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_PREFIX_OPERATOR` FORMATTER / Option to insert a space after a prefix operator - option id: "org.eclipse.cdt.core.formatter.insert_space_after_prefix_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_QUESTION_IN_CONDITIONAL` FORMATTER / Option to insert a space after question mark in a conditional expression - option id: "org.eclipse.cdt.core.formatter.insert_space_after_question_in_conditional" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_SEMICOLON_IN_FOR` FORMATTER / Option to insert a space after semicolon in a for statement - option id: "org.eclipse.cdt.core.formatter.insert_space_after_semicolon_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_AFTER_UNARY_OPERATOR` FORMATTER / Option to insert a space after an unary operator - option id: "org.eclipse.cdt.core.formatter.insert_space_after_unary_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_ASSIGNMENT_OPERATOR` FORMATTER / Option to insert a space before an assignment operator - option id: "org.eclipse.cdt.core.formatter.insert_space_before_assignment_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_BINARY_OPERATOR` FORMATTER / Option to insert a space before an binary operator - option id: "org.eclipse.cdt.core.formatter.insert_space_before_binary_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS` FORMATTER / Option to insert a space before the closing angle bracket in template arguments - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_angle_bracket_in_template_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS` FORMATTER / Option to insert a space before the closing angle bracket in template parameters - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_angle_bracket_in_template_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACE_IN_INITIALIZER_LIST` FORMATTER / Option to insert a space before the closing brace in an initializer list - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET` FORMATTER / Option to insert a space before the closing bracket - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_bracket" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CAST` FORMATTER / Option to insert a space before the closing parenthesis in a cast expression - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_cast" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CATCH` FORMATTER / Option to insert a space before the closing parenthesis in a catch - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_catch" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_EXCEPTION_SPECIFICATION` FORMATTER / Option to insert a space before the closing parenthesis in an exception specification - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_exception_specification" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_FOR` FORMATTER / Option to insert a space before the closing parenthesis in a for statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_IF` FORMATTER / Option to insert a space before the closing parenthesis in an if statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_if" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space before the closing parenthesis in a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_INVOCATION` FORMATTER / Option to insert a space before the closing parenthesis in a method invocation - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_method_invocation" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_PARENTHESIZED_EXPRESSION` FORMATTER / Option to insert a space before the closing parenthesis in a parenthesized expression - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_parenthesized_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SWITCH` FORMATTER / Option to insert a space before the closing parenthesis in a switch statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_switch" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_WHILE` FORMATTER / Option to insert a space before the closing parenthesis in a while statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_while" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_STRUCTURED_BINDING_NAME_LIST` FORMATTER / Option to insert a space before the closing bracket of the name list in a structured binding declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_closing_structured_binding_name_list" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_BASE_CLAUSE` FORMATTER / Option to insert a space before colon in a base clause of a type definition - option id: "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_base_clause" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CASE` FORMATTER / Option to insert a space before colon in a case statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_case" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CONDITIONAL` FORMATTER / Option to insert a space before colon in a conditional expression - option id: "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_conditional" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_DEFAULT` FORMATTER / Option to insert a space before colon in a default statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_default" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_LABELED_STATEMENT` FORMATTER / Option to insert a space before colon in a labeled statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_labeled_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_BASE_TYPES` FORMATTER / Option to insert a space before comma in the base type names in a type header - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_base_types" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_DECLARATOR_LIST` FORMATTER / Option to insert a space before comma in a declarator list - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_declarator_list" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ENUM_DECLARATIONS` FORMATTER / Option to insert a space before comma in enum declarations - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_enum_declarations" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_EXPRESSION_LIST` FORMATTER / Option to insert a space before comma in a expression list - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_expression_list" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_INITIALIZER_LIST` FORMATTER / Option to insert a space before comma in an initializer list - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_PARAMETERS` FORMATTER / Option to insert a space before comma in the parameters of a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_method_declaration_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_THROWS` FORMATTER / Option to insert a space before comma in the exception names of the throws clause of a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_method_declaration_throws" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_INVOCATION_ARGUMENTS` FORMATTER / Option to insert a space before comma in the arguments of a method invocation - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_method_invocation_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_STRUCTURED_BINDING_NAME_LIST` FORMATTER / Option to insert a space before a comma in the name list of a structured binding declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_structured_binding_name_list" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_TEMPLATE_ARGUMENTS` FORMATTER / Option to insert a space before comma in template arguments - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_template_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_TEMPLATE_PARAMETERS` FORMATTER / Option to insert a space before comma in template parameters - option id: "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_template_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_LAMBDA_RETURN` FORMATTER / Option to insert a space before lambda return - option id: "org.eclipse.cdt.core.formatter.insert_before_lambda_return" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS` FORMATTER / Option to insert a space before the opening angle bracket in template arguments - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_angle_bracket_in_template_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS` FORMATTER / Option to insert a space before the opening angle bracket in template parameters - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_angle_bracket_in_template_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_BLOCK` FORMATTER / Option to insert a space before the opening brace in a block - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_block" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_INITIALIZER_LIST` FORMATTER / Option to insert a space before the opening brace in an initializer list - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_LINKAGE_DECLARATION` FORMATTER / Option to insert a space before the opening brace in a linkage declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_linkage_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space before the opening brace in a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_NAMESPACE_DECLARATION` FORMATTER / Option to insert a space before the opening brace in a namespace declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_namespace_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_SWITCH` FORMATTER / Option to insert a space before the opening brace in a switch statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_switch" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_TYPE_DECLARATION` FORMATTER / Option to insert a space before the opening brace in a type declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_type_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET` FORMATTER / Option to insert a space before the opening bracket - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_bracket" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CATCH` FORMATTER / Option to insert a space before the opening parenthesis in a catch - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_catch" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_EXCEPTION_SPECIFICATION` FORMATTER / Option to insert a space before the opening parenthesis in an exception specification - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_exception_specification" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_FOR` FORMATTER / Option to insert a space before the opening parenthesis in a for statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_IF` FORMATTER / Option to insert a space before the opening parenthesis in an if statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_if" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space before the opening parenthesis in a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_INVOCATION` FORMATTER / Option to insert a space before the opening parenthesis in a method invocation - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_method_invocation" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION` FORMATTER / Option to insert a space before the opening parenthesis in a parenthesized expression - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_parenthesized_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SWITCH` FORMATTER / Option to insert a space before the opening parenthesis in a switch statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_switch" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_WHILE` FORMATTER / Option to insert a space before the opening parenthesis in a while statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_while" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_OPENING_STRUCTURED_BINDING_NAME_LIST` FORMATTER / Option to insert a space before the opening bracket of the name list in a structured binding declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_opening_structured_binding_name_list" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_POINTER_IN_DECLARATOR_LIST` FORMATTER / Option to insert a space before a pointer in a declarator list - option id: "org.eclipse.cdt.core.formatter.insert_space_before_pointer_in_declarator_list" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_POINTER_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space before a pointer in a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_pointer_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_POSTFIX_OPERATOR` FORMATTER / Option to insert a space before a postfix operator - option id: "org.eclipse.cdt.core.formatter.insert_space_before_postfix_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_PREFIX_OPERATOR` FORMATTER / Option to insert a space before a prefix operator - option id: "org.eclipse.cdt.core.formatter.insert_space_before_prefix_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_QUESTION_IN_CONDITIONAL` FORMATTER / Option to insert a space before question mark in a conditional expression - option id: "org.eclipse.cdt.core.formatter.insert_space_before_question_in_conditional" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_REF_QUALIFIER_IN_STRUCTURED_BINDING` FORMATTER / Option to insert a space before a reference qualifier in a structured binding declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_before_ref_qualifier_in_structured_binding" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON` FORMATTER / Option to insert a space before semicolon - option id: "org.eclipse.cdt.core.formatter.insert_space_before_semicolon" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON_IN_FOR` FORMATTER / Option to insert a space before semicolon in for statement - option id: "org.eclipse.cdt.core.formatter.insert_space_before_semicolon_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BEFORE_UNARY_OPERATOR` FORMATTER / Option to insert a space before unary operator - option id: "org.eclipse.cdt.core.formatter.insert_space_before_unary_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACES_IN_INITIALIZER_LIST` FORMATTER / Option to insert a space between empty braces in an initializer list - option id: "org.eclipse.cdt.core.formatter.insert_space_between_empty_braces_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACKETS` FORMATTER / Option to insert a space between empty brackets - option id: "org.eclipse.cdt.core.formatter.insert_space_between_empty_brackets" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_EXCEPTION_SPECIFICATION` FORMATTER / Option to insert a space between empty parenthesis in an exception specification - option id: "org.eclipse.cdt.core.formatter.insert_space_between_empty_parens_in_exception_specification" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space between empty parenthesis in a method declaration - option id: "org.eclipse.cdt.core.formatter.insert_space_between_empty_parens_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_INVOCATION` FORMATTER / Option to insert a space between empty parenthesis in a method invocation - option id: "org.eclipse.cdt.core.formatter.insert_space_between_empty_parens_in_method_invocation" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` `FORMATTER_JOIN_WRAPPED_LINES` FORMATTER / Option to specify whether the formatter can join wrapped lines or not - option id: "org.eclipse.cdt.core.formatter.join_wrapped_lines" - possible values: { TRUE, FALSE } - default: TRUE
`static String` `FORMATTER_KEEP_ELSE_STATEMENT_ON_SAME_LINE` FORMATTER / Option to keep else statement on the same line - option id: "org.eclipse.cdt.core.formatter.keep_else_statement_on_same_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_KEEP_EMPTY_INITIALIZER_LIST_ON_ONE_LINE` FORMATTER / Option to keep empty initializer list one one line - option id: "org.eclipse.cdt.core.formatter.keep_empty_array_initializer_on_one_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_KEEP_GUARDIAN_CLAUSE_ON_ONE_LINE` FORMATTER / Option to keep guardian clause on one line - option id: "org.eclipse.cdt.core.formatter.format_guardian_clause_on_one_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_KEEP_SIMPLE_IF_ON_ONE_LINE` FORMATTER / Option to keep simple if statement on the one line - option id: "org.eclipse.cdt.core.formatter.keep_imple_if_on_one_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_KEEP_THEN_STATEMENT_ON_SAME_LINE` FORMATTER / Option to keep then statement on the same line - option id: "org.eclipse.cdt.core.formatter.keep_then_statement_on_same_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_LANGUAGE` FORMATTER / Option for the language - option id: "org.eclipse.cdt.core.formatter.language" - possible values: object of class `ILanguage` or `null` - default: null
`static String` `FORMATTER_LINE_SPLIT` FORMATTER / Option to specify the length of the page.
`static String` `FORMATTER_NUMBER_OF_EMPTY_LINES_TO_PRESERVE` FORMATTER / Option to specify the number of empty lines to preserve - option id: "org.eclipse.cdt.core.formatter.number_of_empty_lines_to_preserve" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` `FORMATTER_OFF_TAG` FORMATTER / Default formatter off tag
`static String` `FORMATTER_ON_TAG` FORMATTER / Default formatter on tag
`static String` `FORMATTER_PUT_EMPTY_STATEMENT_ON_NEW_LINE` FORMATTER / Option to specify whether or not empty statement should be on a new line - option id: "org.eclipse.cdt.core.formatter.put_empty_statement_on_new_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` `FORMATTER_STATEMENT_SCOPE` FORMATTER / Option that tells the formatter that the formatting region should be extended to the enclosing statement boundaries.
`static String` `FORMATTER_TAB_CHAR` FORMATTER / Option to specify the tabulation size - option id: "org.eclipse.cdt.core.formatter.tabulation.char" - possible values: { TAB, SPACE, MIXED } - default: TAB
`static String` `FORMATTER_TAB_SIZE` FORMATTER / Option to specify the equivalent number of spaces that represents one tabulation - option id: "org.eclipse.cdt.core.formatter.tabulation.size" - possible values: "<n>", where n is zero or a positive integer - default: "4"
`static String` `FORMATTER_TRANSLATION_UNIT` FORMATTER / Option for the translation unit - option id: "org.eclipse.cdt.core.formatter.current_translation_unit" - possible values: object of class `ITranslationUnit` or `null` - default: null
`static String` `FORMATTER_USE_COMMENT_TAG` FORMATTER / Formatter on tag format option - option id: "org.eclipse.cdt.core.formatter.use_comment_formatter_tag" - default: true
`static String` `FORMATTER_USE_TABS_ONLY_FOR_LEADING_INDENTATIONS` FORMATTER / Option to use tabulations only for leading indentations - option id: "org.eclipse.cdt.core.formatter.use_tabs_only_for_leading_indentations" - possible values: { TRUE, FALSE } - default: FALSE
`static int` `INDENT_BY_ONE` FORMATTER / The wrapping is done by indenting by one compare to the current indentation.
`static int` `INDENT_DEFAULT` FORMATTER / The wrapping is done by using the current indentation.
`static int` `INDENT_ON_COLUMN` FORMATTER / The wrapping is done by indenting on column under the splitting location.
`static String` `MIXED` FORMATTER / Possible value for the option FORMATTER_TAB_CHAR
`static String` `NEXT_LINE` FORMATTER / Value to set a brace location at the start of the next line with the right indentation.
`static String` `NEXT_LINE_ON_WRAP` FORMATTER / Value to set a brace location at the start of the next line if a wrapping occurred.
`static String` `NEXT_LINE_SHIFTED` FORMATTER / Value to set a brace location at the start of the next line with an extra indentation.
`static String` `TRUE` FORMATTER / Value to set an option to true.
`static int` `WRAP_COMPACT` FORMATTER / The wrapping is done using as few lines as possible.
`static int` `WRAP_COMPACT_FIRST_BREAK` FORMATTER / The wrapping is done putting the first element on a new line and then wrapping next elements using as few lines as possible.
`static int` `WRAP_NEXT_PER_LINE` FORMATTER / The wrapping is done by putting each element on its own line except the first element.
`static int` `WRAP_NEXT_SHIFTED` FORMATTER / The wrapping is done by putting each element on its own line.
`static int` `WRAP_NO_SPLIT` FORMATTER / Value to disable alignment.
`static int` `WRAP_ONE_PER_LINE` FORMATTER / The wrapping is done by putting each element on its own line.

### Constructor Summary

Constructors
`DefaultCodeFormatterConstants()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `createAlignmentValue​(boolean forceSplit, int wrapStyle, int indentStyle)` Create a new alignment value according to the given values.
`static Map<String,​String>` `getAllmanSettings()` Returns the Allman formatter settings
`static Map<String,​String>` `getDefaultSettings()` Returns the default formatter settings
`static boolean` `getForceWrapping​(String value)` Return the force value of the given alignment value.
`static Map<String,​String>` `getGNUSettings()` Returns the GNU formatter settings
`static int` `getIndentStyle​(String value)` Return the indentation style of the given alignment value.
`static Map<String,​String>` `getKandRSettings()` Returns the K&R formatter settings
`static Map<String,​String>` `getWhitesmithsSettings()` Returns the Whitesmiths formatter settings
`static int` `getWrappingStyle​(String value)` Return the wrapping style of the given alignment value.
`static String` `setForceWrapping​(String value, boolean force)` Set the force value of the given alignment value and return the new value.
`static String` `setIndentStyle​(String value, int indentStyle)` Set the indentation style of the given alignment value and return the new value.
`static String` `setWrappingStyle​(String value, int wrappingStyle)` Set the wrapping style of the given alignment value and return the new value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORMATTER_LANGUAGE

    public static final String FORMATTER_LANGUAGE

     FORMATTER / Option for the language
         - option id:         "org.eclipse.cdt.core.formatter.language"
         - possible values:   object of class ILanguage or null
         - default:           null

See Also:
  Constant Field Values

#### FORMATTER_CURRENT_FILE

    public static final String FORMATTER_CURRENT_FILE

     FORMATTER / Option for the current file
         - option id:         "org.eclipse.cdt.core.formatter.current_file"
         - possible values:   object of class IFile or null
         - default:           null

See Also:
  Constant Field Values

#### FORMATTER_TRANSLATION_UNIT

    public static final String FORMATTER_TRANSLATION_UNIT

     FORMATTER / Option for the translation unit
         - option id:         "org.eclipse.cdt.core.formatter.current_translation_unit"
         - possible values:   object of class ITranslationUnit or null
         - default:           null

See Also:
  Constant Field Values

#### FORMATTER_STATEMENT_SCOPE

    public static final String FORMATTER_STATEMENT_SCOPE

     FORMATTER / Option that tells the formatter that the formatting region should be
     extended to the enclosing statement boundaries.
         - option id:         "org.eclipse.cdt.core.formatter.statement_scope"
         - possible values:   object of class Boolean or null
         - default:           null

Since:
  5.9
See Also:
  Constant Field Values

#### END_OF_LINE

    public static final String END_OF_LINE

     FORMATTER / Value to set a brace location at the end of a line.

See Also:
  `FORMATTER_BRACE_POSITION_FOR_INITIALIZER_LIST`, `FORMATTER_BRACE_POSITION_FOR_BLOCK`, `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_SWITCH`, `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION`, Constant Field Values

#### FALSE

    public static final String FALSE

     FORMATTER / Value to set an option to false.

See Also:
  Constant Field Values

#### FORMATTER_COMMENT_ON_TAG

    public static final String FORMATTER_COMMENT_ON_TAG

     FORMATTER / Formatter on tag format option
         - option id:         "org.eclipse.cdt.core.formatter.comment_formatter_on_tag"
         - default:           @formatter:on

Since:
  6.7
See Also:
  Constant Field Values

#### FORMATTER_COMMENT_OFF_TAG

    public static final String FORMATTER_COMMENT_OFF_TAG

     FORMATTER / Formatter off tag format option
         - option id:         "org.eclipse.cdt.core.formatter.comment_formatter_off_tag"
         - default:           @formatter:off

Since:
  6.7
See Also:
  Constant Field Values

#### FORMATTER_USE_COMMENT_TAG

    public static final String FORMATTER_USE_COMMENT_TAG

     FORMATTER / Formatter on tag format option
         - option id:         "org.eclipse.cdt.core.formatter.use_comment_formatter_tag"
         - default:           true

Since:
  6.7
See Also:
  Constant Field Values

#### FORMATTER_COMMENT_HEADER

    public static final String FORMATTER_COMMENT_HEADER

     FORMATTER / Formatter option to format header comment
         - option id:         "org.eclipse.cdt.core.formatter.format_header_comment"
         - default:           true

Since:
  6.9
See Also:
  Constant Field Values

#### FORMATTER_COMMENT_BLOCK

    public static final String FORMATTER_COMMENT_BLOCK

     FORMATTER / Formatter option to format block comment
         - option id:         "org.eclipse.cdt.core.formatter.format_block_comment"
         - default:           true

Since:
  6.9
See Also:
  Constant Field Values

#### FORMATTER_COMMENT_LINE

    public static final String FORMATTER_COMMENT_LINE

     FORMATTER / Formatter option to format line comment
         - option id:         "org.eclipse.cdt.core.formatter.format_line_comment"
         - default:           true

Since:
  6.9
See Also:
  Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_METHOD_INVOCATION

    public static final String FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_METHOD_INVOCATION

     FORMATTER / Option for alignment of arguments in method invocation
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_arguments_in_method_invocation"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_ASSIGNMENT

    public static final String FORMATTER_ALIGNMENT_FOR_ASSIGNMENT

     FORMATTER / Option for alignment of assignment
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_assignment"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

Since:
  5.3
See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_BINARY_EXPRESSION

    public static final String FORMATTER_ALIGNMENT_FOR_BINARY_EXPRESSION

     FORMATTER / Option for alignment of binary expression
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_binary_expression"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

Since:
  5.3
See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_COMPACT_IF

    public static final String FORMATTER_ALIGNMENT_FOR_COMPACT_IF

     FORMATTER / Option for alignment of compact if
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_compact_if"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_ONE_PER_LINE, INDENT_BY_ONE)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION

    public static final String FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION

     FORMATTER / Option for alignment of conditional expression
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_conditional_expression"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT_FIRST_BREAK, INDENT_ON_COLUMN)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION_CHAIN

    public static final String FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION_CHAIN

     FORMATTER / Option for alignment of a chain of conditional expressions.
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_conditional_expression_chain"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_ON_COLUMN)

Since:
  5.3
See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_DECLARATOR_LIST

    public static final String FORMATTER_ALIGNMENT_FOR_DECLARATOR_LIST

     FORMATTER / Option for alignment of a declarator list
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_declarator_list"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_ENUMERATOR_LIST

    public static final String FORMATTER_ALIGNMENT_FOR_ENUMERATOR_LIST

     FORMATTER / Option for alignment of a enumerator list
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_enumerator_list"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_ONE_PER_LINE, INDENT_DEFAULT)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_EXPRESSION_LIST

    public static final String FORMATTER_ALIGNMENT_FOR_EXPRESSION_LIST

     FORMATTER / Option for alignment of a expression list (except arguments in a method invocation)
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_expression_list"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_EXPRESSIONS_IN_INITIALIZER_LIST

    public static final String FORMATTER_ALIGNMENT_FOR_EXPRESSIONS_IN_INITIALIZER_LIST

     FORMATTER / Option for alignment of expressions in initializer list
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_expressions_in_array_initializer"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_MEMBER_ACCESS

    public static final String FORMATTER_ALIGNMENT_FOR_MEMBER_ACCESS

     FORMATTER / Option for alignment of member access
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_member_access"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, M_NO_ALIGNMENT, INDENT_DEFAULT)

Since:
  5.3
See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_OVERLOADED_LEFT_SHIFT_CHAIN

    public static final String FORMATTER_ALIGNMENT_FOR_OVERLOADED_LEFT_SHIFT_CHAIN

     FORMATTER / Option for alignment of stream output expression consisting of a chain of
     overloaded << operators.
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_overloaded_left_shift_chainn"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

Since:
  5.3
See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_METHOD_DECLARATION

    public static final String FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_METHOD_DECLARATION

     FORMATTER / Option for alignment of parameters in method declaration
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_parameters_in_method_declaration"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_BASE_CLAUSE_IN_TYPE_DECLARATION

    public static final String FORMATTER_ALIGNMENT_FOR_BASE_CLAUSE_IN_TYPE_DECLARATION

     FORMATTER / Option for alignment of base-clause in type declaration
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_base_clause_in_type_declaration"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_NEXT_SHIFTED, INDENT_DEFAULT)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_CONSTRUCTOR_INITIALIZER_LIST

    public static final String FORMATTER_ALIGNMENT_FOR_CONSTRUCTOR_INITIALIZER_LIST

     FORMATTER / Option for alignment of constructor initializer list
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_constructor_initializer_list"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

Since:
  5.3
See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_METHOD_DECLARATION

    public static final String FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_METHOD_DECLARATION

     FORMATTER / Option for alignment of throws clause in method declaration
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_throws_clause_in_method_declaration"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_ALIGNMENT_FOR_LAMBDA_EXPRESSION

    public static final String FORMATTER_ALIGNMENT_FOR_LAMBDA_EXPRESSION

     FORMATTER / Option for alignment of lambda expression
         - option id:         "org.eclipse.cdt.core.formatter.alignment_for_lambda_expression"
         - possible values:   values returned by createAlignmentValue(boolean, int, int) call
         - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

Since:
  6.8
See Also:
  `createAlignmentValue(boolean, int, int)`, Constant Field Values

#### FORMATTER_BRACE_POSITION_FOR_INITIALIZER_LIST

    public static final String FORMATTER_BRACE_POSITION_FOR_INITIALIZER_LIST

     FORMATTER / Option to position the braces of initializer list
         - option id:         "org.eclipse.cdt.core.formatter.brace_position_for_array_initializer"
         - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
         - default:           END_OF_LINE

See Also:
  `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

#### FORMATTER_BRACE_POSITION_FOR_BLOCK

    public static final String FORMATTER_BRACE_POSITION_FOR_BLOCK

     FORMATTER / Option to position the braces of a block
         - option id:         "org.eclipse.cdt.core.formatter.brace_position_for_block"
         - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
         - default:           END_OF_LINE

See Also:
  `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

#### FORMATTER_BRACE_POSITION_FOR_BLOCK_IN_CASE

    public static final String FORMATTER_BRACE_POSITION_FOR_BLOCK_IN_CASE

     FORMATTER / Option to position the braces of a block in a case statement when the block is the first statement following
                 the case
         - option id:         "org.eclipse.cdt.core.formatter.brace_position_for_block_in_case"
         - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
         - default:           END_OF_LINE

See Also:
  `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

#### FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION

    public static final String FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION

     FORMATTER / Option to position the braces of a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.brace_position_for_method_declaration"
         - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
         - default:           END_OF_LINE

See Also:
  `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

#### FORMATTER_BRACE_POSITION_FOR_SWITCH

    public static final String FORMATTER_BRACE_POSITION_FOR_SWITCH

     FORMATTER / Option to position the braces of a switch statement
         - option id:         "org.eclipse.cdt.core.formatter.brace_position_for_switch"
         - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
         - default:           END_OF_LINE

See Also:
  `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

#### FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION

    public static final String FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION

     FORMATTER / Option to position the braces of a type declaration
         - option id:         "org.eclipse.cdt.core.formatter.brace_position_for_type_declaration"
         - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
         - default:           END_OF_LINE

See Also:
  `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

#### FORMATTER_BRACE_POSITION_FOR_NAMESPACE_DECLARATION

    public static final String FORMATTER_BRACE_POSITION_FOR_NAMESPACE_DECLARATION

     FORMATTER / Option to position the braces of a namespace declaration
         - option id:         "org.eclipse.cdt.core.formatter.brace_position_for_namespace_declaration"
         - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
         - default:           END_OF_LINE

See Also:
  `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

#### FORMATTER_BRACE_POSITION_FOR_LINKAGE_DECLARATION

    public static final String FORMATTER_BRACE_POSITION_FOR_LINKAGE_DECLARATION

     FORMATTER / Option to position the braces of a linkage declaration
         - option id:         "org.eclipse.cdt.core.formatter.brace_position_for_linkage_declaration"
         - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
         - default:           END_OF_LINE

Since:
  6.8
See Also:
  `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

#### FORMATTER_COMMENT_MIN_DISTANCE_BETWEEN_CODE_AND_LINE_COMMENT

    public static final String FORMATTER_COMMENT_MIN_DISTANCE_BETWEEN_CODE_AND_LINE_COMMENT

     FORMATTER / Option to specify the minimum distance between code and line comment.
         - option id:         "org.eclipse.cdt.core.formatter.comment.min_distance_between_code_and_line_comment"
         - possible values:   "<n>", where n is zero or a positive integer
         - default:           "1"

Since:
  5.3
See Also:
  Constant Field Values

#### FORMATTER_COMMENT_PRESERVE_WHITE_SPACE_BETWEEN_CODE_AND_LINE_COMMENT

    public static final String FORMATTER_COMMENT_PRESERVE_WHITE_SPACE_BETWEEN_CODE_AND_LINE_COMMENT

     FORMATTER / Option to control whether the white space between code and line comments should be preserved or replaced with a single space
         - option id:         "org.eclipse.cdt.core.formatter.comment.preserve_white_space_between_code_and_line_comments"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

Since:
  5.3
See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_COMMENT_LINE_UP_LINE_COMMENT_IN_BLOCKS_ON_FIRST_COLUMN

    public static final String FORMATTER_COMMENT_LINE_UP_LINE_COMMENT_IN_BLOCKS_ON_FIRST_COLUMN

     FORMATTER / Option to control whether line comments on subsequent lines on unindented code should be treated as block comment
         - option id:         "org.eclipse.cdt.core.formatter.comment.line_up_line_comment_in_blocks_on_first_column"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

Since:
  6.1
See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_COMMENT_NEVER_INDENT_LINE_COMMENTS_ON_FIRST_COLUMN

    public static final String FORMATTER_COMMENT_NEVER_INDENT_LINE_COMMENTS_ON_FIRST_COLUMN

     FORMATTER / Option to control whether comments starting from the beginning of line should stay that way and never be indented.
         - option id:         "org.eclipse.cdt.core.formatter.comment.never_indent_line_comments_on_first_column"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

Since:
  5.4
See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_COMPACT_ELSE_IF

    public static final String FORMATTER_COMPACT_ELSE_IF

     FORMATTER / Option to compact else/if
         - option id:         "org.eclipse.cdt.core.formatter.compact_else_if"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_CONTINUATION_INDENTATION

    public static final String FORMATTER_CONTINUATION_INDENTATION

     FORMATTER / Option to set the continuation indentation
         - option id:         "org.eclipse.cdt.core.formatter.continuation_indentation"
         - possible values:   "<n>", where n is zero or a positive integer
         - default:           "2"

See Also:
  Constant Field Values

#### FORMATTER_CONTINUATION_INDENTATION_FOR_INITIALIZER_LIST

    public static final String FORMATTER_CONTINUATION_INDENTATION_FOR_INITIALIZER_LIST

     FORMATTER / Option to set the continuation indentation inside initializer list
         - option id:         "org.eclipse.cdt.core.formatter.continuation_indentation_for_array_initializer"
         - possible values:   "<n>", where n is zero or a positive integer
         - default:           "2"

See Also:
  Constant Field Values

#### FORMATTER_INDENT_ACCESS_SPECIFIER_COMPARE_TO_TYPE_HEADER

    public static final String FORMATTER_INDENT_ACCESS_SPECIFIER_COMPARE_TO_TYPE_HEADER

     FORMATTER / Option to indent 'public:', 'protected:', 'private:' access specifiers relative to class declaration.
         - option id:         "org.eclipse.cdt.core.formatter.indent_access_specifier_compare_to_type_header"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_ACCESS_SPECIFIER_EXTRA_SPACES

    public static final String FORMATTER_INDENT_ACCESS_SPECIFIER_EXTRA_SPACES

     FORMATTER / Number of extra spaces in front of 'public:', 'protected:', 'private:' access specifiers.
                 Enables fractional indent of access specifiers. Does not affect indentation of body declarations.
         - option id:         "org.eclipse.cdt.core.formatter.indent_access_specifier_extra_spaces"
         - possible values:   "<n>", where n is zero or a positive integer
         - default:           "0"

Since:
  5.2
See Also:
  Constant Field Values

#### FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_ACCESS_SPECIFIER

    public static final String FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_ACCESS_SPECIFIER

     FORMATTER / Option to indent body declarations relative to access specifiers (visibility labels)
         - option id:         "org.eclipse.cdt.core.formatter.indent_body_declarations_compare_to_access_specifier"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_DECLARATION_COMPARE_TO_TEMPLATE_HEADER

    public static final String FORMATTER_INDENT_DECLARATION_COMPARE_TO_TEMPLATE_HEADER

     FORMATTER / Option to indent template declaration compare to template header
         - option id:         "org.eclipse.cdt.core.formatter.indent_declaration_compare_to_template_header"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_NAMESPACE_HEADER

    public static final String FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_NAMESPACE_HEADER

     FORMATTER / Option to indent body declarations compare to its enclosing namespace header
         - option id:         "org.eclipse.cdt.core.formatter.indent_body_declarations_compare_to_namespace_header"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_LINKAGE

    public static final String FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_LINKAGE

     FORMATTER / Option to indent body declarations compare to its enclosing linkage section
         - option id:         "org.eclipse.cdt.core.formatter.indent_body_declarations_compare_to_linkage"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

Since:
  6.8
See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_LABEL_COMPARE_TO_STATEMENTS

    public static final String FORMATTER_INDENT_LABEL_COMPARE_TO_STATEMENTS

     FORMATTER / Option to indent labels compare to statements where it is defined
         - option id:         "org.eclipse.cdt.core.formatter.indent_label_compare_to_statements"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

Since:
  6.8
See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_BREAKS_COMPARE_TO_CASES

    public static final String FORMATTER_INDENT_BREAKS_COMPARE_TO_CASES

     FORMATTER / Option to indent breaks compare to cases
         - option id:         "org.eclipse.cdt.core.formatter.indent_breaks_compare_to_cases"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_EMPTY_LINES

    public static final String FORMATTER_INDENT_EMPTY_LINES

     FORMATTER / Option to indent empty lines
         - option id:         "org.eclipse.cdt.core.formatter.indent_empty_lines"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_INSIDE_LINE_COMMENTS

    public static final String FORMATTER_INDENT_INSIDE_LINE_COMMENTS

     FORMATTER / Option to indent inside line comments at column 0
         - option id:         "org.eclipse.cdt.core.formatter.indent_inside_line_comments"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BLOCK

    public static final String FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BLOCK

     FORMATTER / Option to indent statements inside a block
         - option id:         "org.eclipse.cdt.core.formatter.indent_statements_compare_to_block"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BODY

    public static final String FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BODY

     FORMATTER / Option to indent statements inside the body of a method or a constructor
         - option id:         "org.eclipse.cdt.core.formatter.indent_statements_compare_to_body"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_CASES

    public static final String FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_CASES

     FORMATTER / Option to indent switch statements compare to cases
         - option id:         "org.eclipse.cdt.core.formatter.indent_switchstatements_compare_to_cases"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_SWITCH

    public static final String FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_SWITCH

     FORMATTER / Option to indent switch statements compare to switch
         - option id:         "org.eclipse.cdt.core.formatter.indent_switchstatements_compare_to_switch"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_INDENTATION_SIZE

    public static final String FORMATTER_INDENTATION_SIZE

     FORMATTER / Option to specify the equivalent number of spaces that represents one indentation
         - option id:         "org.eclipse.cdt.core.formatter.indentation.size"
         - possible values:   "<n>", where n is zero or a positive integer
         - default:           "4"

This option is used only if the tab char is set to MIXED.

See Also:
  `FORMATTER_TAB_CHAR`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_AFTER_OPENING_BRACE_IN_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_NEW_LINE_AFTER_OPENING_BRACE_IN_INITIALIZER_LIST

     FORMATTER / Option to insert a new line after the opening brace in an initializer list
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_after_opening_brace_in_array_initializer"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_AFTER_LABEL

    public static final String FORMATTER_INSERT_NEW_LINE_AFTER_LABEL

     FORMATTER / Option to insert a new line after a label
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_after_label"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

Since:
  6.8
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_AFTER_TEMPLATE_DECLARATION

    public static final String FORMATTER_INSERT_NEW_LINE_AFTER_TEMPLATE_DECLARATION

     FORMATTER / Option to insert a new line after template declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_after_template_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_AT_END_OF_FILE_IF_MISSING

    public static final String FORMATTER_INSERT_NEW_LINE_AT_END_OF_FILE_IF_MISSING

     FORMATTER / Option to insert a new line at the end of the current file if missing
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_at_end_of_file_if_missing"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_BEFORE_CATCH_IN_TRY_STATEMENT

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_CATCH_IN_TRY_STATEMENT

     FORMATTER / Option to insert a new line before the catch keyword in try statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_before_catch_in_try_statement"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_BEFORE_CLOSING_BRACE_IN_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_CLOSING_BRACE_IN_INITIALIZER_LIST

     FORMATTER / Option to insert a new line before the closing brace in an initializer list
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_before_closing_brace_in_array_initializer"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_BEFORE_COLON_IN_CONSTRUCTOR_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_COLON_IN_CONSTRUCTOR_INITIALIZER_LIST

     FORMATTER / Option to insert a new line before colon in constructor initializer list.
         - option id:         "org.eclipse.cdt.core.formatter.formatter.insert_new_line_before_colon_in_constructor_initializer_list"
         - possible values:   { DO_NOT_INSERT, INSERT }
         - default:           DO_NOT_INSERT

Since:
  5.3
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_AFTER_COLON_IN_CONSTRUCTOR_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_NEW_LINE_AFTER_COLON_IN_CONSTRUCTOR_INITIALIZER_LIST

     FORMATTER / Option to insert a new line after colon in constructor initializer list.
         - option id:         "org.eclipse.cdt.core.formatter.formatter.insert_new_line_after_colon_in_constructor_initializer_list"
         - possible values:   { DO_NOT_INSERT, INSERT }
         - default:           DO_NOT_INSERT

Since:
  6.8
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_BEFORE_ELSE_IN_IF_STATEMENT

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_ELSE_IN_IF_STATEMENT

     FORMATTER / Option to insert a new line before the else keyword in if statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_before_else_in_if_statement"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_BEFORE_WHILE_IN_DO_STATEMENT

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_WHILE_IN_DO_STATEMENT

     FORMATTER / Option to insert a new line before while in do statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_before_while_in_do_statement"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_BEFORE_IDENTIFIER_IN_FUNCTION_DECLARATION

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_IDENTIFIER_IN_FUNCTION_DECLARATION

     FORMATTER / Option to insert a new line before the identifier in a function declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_before_identifier_in_function_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_NEW_LINE_IN_EMPTY_BLOCK

    public static final String FORMATTER_INSERT_NEW_LINE_IN_EMPTY_BLOCK

     FORMATTER / Option to insert a new line in an empty block
         - option id:         "org.eclipse.cdt.core.formatter.insert_new_line_in_empty_block"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_ASSIGNMENT_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_ASSIGNMENT_OPERATOR

     FORMATTER / Option to insert a space after an assignment operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_assignment_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_BINARY_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_BINARY_OPERATOR

     FORMATTER / Option to insert a space after a binary operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_binary_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_AFTER_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS

     FORMATTER / Option to insert a space after the closing angle bracket in template arguments
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_closing_angle_bracket_in_template_arguments"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_AFTER_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS

     FORMATTER / Option to insert a space after the closing angle bracket in template parameters
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_closing_angle_bracket_in_template_parameters"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_CLOSING_BRACE_IN_BLOCK

    public static final String FORMATTER_INSERT_SPACE_AFTER_CLOSING_BRACE_IN_BLOCK

     FORMATTER / Option to insert a space after the closing brace of a block
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_closing_brace_in_block"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_CLOSING_PAREN_IN_CAST

    public static final String FORMATTER_INSERT_SPACE_AFTER_CLOSING_PAREN_IN_CAST

     FORMATTER / Option to insert a space after the closing parenthesis of a cast expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_closing_paren_in_cast"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COLON_IN_BASE_CLAUSE

    public static final String FORMATTER_INSERT_SPACE_AFTER_COLON_IN_BASE_CLAUSE

     FORMATTER / Option to insert a space after colon in a base clause of a type definition
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_colon_in_base_clause"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CASE

    public static final String FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CASE

     FORMATTER / Option to insert a space after colon in a case statement when a opening brace follows the colon
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_colon_in_case"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CONDITIONAL

    public static final String FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CONDITIONAL

     FORMATTER / Option to insert a space after the colon in a conditional expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_colon_in_conditional"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COLON_IN_LABELED_STATEMENT

    public static final String FORMATTER_INSERT_SPACE_AFTER_COLON_IN_LABELED_STATEMENT

     FORMATTER / Option to insert a space after the colon in a labeled statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_colon_in_labeled_statement"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_INITIALIZER_LIST

     FORMATTER / Option to insert a space after the comma in an initializer list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_array_initializer"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ENUM_DECLARATIONS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ENUM_DECLARATIONS

     FORMATTER / Option to insert a space after the comma in enum declarations
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_enum_declarations"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_PARAMETERS

     FORMATTER / Option to insert a space after the comma in the parameters of a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_method_declaration_parameters"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_THROWS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_THROWS

     FORMATTER / Option to insert a space after the comma in the exception names in a throws clause of a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_method_declaration_throws"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_INVOCATION_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_INVOCATION_ARGUMENTS

     FORMATTER / Option to insert a space after the comma in the arguments of a method invocation
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_method_invocation_arguments"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_DECLARATOR_LIST

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_DECLARATOR_LIST

     FORMATTER / Option to insert a space after the comma in a declarator list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_declarator_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_EXPRESSION_LIST

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_EXPRESSION_LIST

     FORMATTER / Option to insert a space after the comma in expression list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_expression_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_BASE_TYPES

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_BASE_TYPES

     FORMATTER / Option to insert a space after the comma in base type names of a type header
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_base_types"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_TEMPLATE_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_TEMPLATE_ARGUMENTS

     FORMATTER / Option to insert a space after the comma in template arguments
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_template_arguments"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_TEMPLATE_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_TEMPLATE_PARAMETERS

     FORMATTER / Option to insert a space after the comma in template parameters
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_template_parameters"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS

     FORMATTER / Option to insert a space after the opening angle bracket in template arguments
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_angle_bracket_in_template_arguments"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS

     FORMATTER / Option to insert a space after the opening angle bracket in template parameters
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_angle_bracket_in_template_parameters"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACE_IN_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACE_IN_INITIALIZER_LIST

     FORMATTER / Option to insert a space after the opening brace in an initializer list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_brace_in_array_initializer"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET

     FORMATTER / Option to insert a space after the opening bracket
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_bracket"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CAST

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CAST

     FORMATTER / Option to insert a space after the opening parenthesis in a cast expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_cast"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CATCH

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CATCH

     FORMATTER / Option to insert a space after the opening parenthesis in a catch
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_catch"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_FOR

     FORMATTER / Option to insert a space after the opening parenthesis in a for statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_for"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_IF

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_IF

     FORMATTER / Option to insert a space after the opening parenthesis in an if statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_if"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_DECLARATION

     FORMATTER / Option to insert a space after the opening parenthesis in a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_method_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_INVOCATION

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_INVOCATION

     FORMATTER / Option to insert a space after the opening parenthesis in a method invocation
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_method_invocation"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_EXCEPTION_SPECIFICATION

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_EXCEPTION_SPECIFICATION

     FORMATTER / Option to insert a space after the opening parenthesis in an exception specification
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_exception_specification"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

Since:
  5.1
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION

     FORMATTER / Option to insert a space after the opening parenthesis in a parenthesized expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_parenthesized_expression"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SWITCH

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SWITCH

     FORMATTER / Option to insert a space after the opening parenthesis in a switch statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_switch"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_WHILE

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_WHILE

     FORMATTER / Option to insert a space after the opening parenthesis in a while statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_paren_in_while"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_POSTFIX_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_POSTFIX_OPERATOR

     FORMATTER / Option to insert a space after a postfix operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_postfix_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_PREFIX_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_PREFIX_OPERATOR

     FORMATTER / Option to insert a space after a prefix operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_prefix_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_QUESTION_IN_CONDITIONAL

    public static final String FORMATTER_INSERT_SPACE_AFTER_QUESTION_IN_CONDITIONAL

     FORMATTER / Option to insert a space after question mark in a conditional expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_question_in_conditional"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_SEMICOLON_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_SEMICOLON_IN_FOR

     FORMATTER / Option to insert a space after semicolon in a for statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_semicolon_in_for"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_UNARY_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_UNARY_OPERATOR

     FORMATTER / Option to insert a space after an unary operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_unary_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_LAMBDA_RETURN

    public static final String FORMATTER_INSERT_SPACE_AFTER_LAMBDA_RETURN

     FORMATTER / Option to insert a space after lambda return
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_lambda_return"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.8
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_LAMBDA_RETURN

    public static final String FORMATTER_INSERT_SPACE_BEFORE_LAMBDA_RETURN

     FORMATTER / Option to insert a space before lambda return
         - option id:         "org.eclipse.cdt.core.formatter.insert_before_lambda_return"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.8
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_ASSIGNMENT_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_ASSIGNMENT_OPERATOR

     FORMATTER / Option to insert a space before an assignment operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_assignment_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_BINARY_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_BINARY_OPERATOR

     FORMATTER / Option to insert a space before an binary operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_binary_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS

     FORMATTER / Option to insert a space before the closing angle bracket in template arguments
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_angle_bracket_in_template_arguments"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS

     FORMATTER / Option to insert a space before the closing angle bracket in template parameters
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_angle_bracket_in_template_parameters"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACE_IN_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACE_IN_INITIALIZER_LIST

     FORMATTER / Option to insert a space before the closing brace in an initializer list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_brace_in_array_initializer"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET

     FORMATTER / Option to insert a space before the closing bracket
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_bracket"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CAST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CAST

     FORMATTER / Option to insert a space before the closing parenthesis in a cast expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_cast"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CATCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CATCH

     FORMATTER / Option to insert a space before the closing parenthesis in a catch
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_catch"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_FOR

     FORMATTER / Option to insert a space before the closing parenthesis in a for statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_for"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_IF

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_IF

     FORMATTER / Option to insert a space before the closing parenthesis in an if statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_if"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_DECLARATION

     FORMATTER / Option to insert a space before the closing parenthesis in a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_method_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_INVOCATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_INVOCATION

     FORMATTER / Option to insert a space before the closing parenthesis in a method invocation
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_method_invocation"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_EXCEPTION_SPECIFICATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_EXCEPTION_SPECIFICATION

     FORMATTER / Option to insert a space before the closing parenthesis in an exception specification
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_exception_specification"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

Since:
  5.1
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_PARENTHESIZED_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_PARENTHESIZED_EXPRESSION

     FORMATTER / Option to insert a space before the closing parenthesis in a parenthesized expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_parenthesized_expression"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SWITCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SWITCH

     FORMATTER / Option to insert a space before the closing parenthesis in a switch statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_switch"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_WHILE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_WHILE

     FORMATTER / Option to insert a space before the closing parenthesis in a while statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_paren_in_while"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_BASE_CLAUSE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_BASE_CLAUSE

     FORMATTER / Option to insert a space before colon in a base clause of a type definition
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_base_clause"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CASE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CASE

     FORMATTER / Option to insert a space before colon in a case statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_case"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CONDITIONAL

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CONDITIONAL

     FORMATTER / Option to insert a space before colon in a conditional expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_conditional"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_DEFAULT

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_DEFAULT

     FORMATTER / Option to insert a space before colon in a default statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_default"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_LABELED_STATEMENT

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_LABELED_STATEMENT

     FORMATTER / Option to insert a space before colon in a labeled statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_colon_in_labeled_statement"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_INITIALIZER_LIST

     FORMATTER / Option to insert a space before comma in an initializer list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_array_initializer"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ENUM_DECLARATIONS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ENUM_DECLARATIONS

     FORMATTER / Option to insert a space before comma in enum declarations
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_enum_declarations"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_PARAMETERS

     FORMATTER / Option to insert a space before comma in the parameters of a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_method_declaration_parameters"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_THROWS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_THROWS

     FORMATTER / Option to insert a space before comma in the exception names of the throws clause of a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_method_declaration_throws"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_INVOCATION_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_INVOCATION_ARGUMENTS

     FORMATTER / Option to insert a space before comma in the arguments of a method invocation
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_method_invocation_arguments"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_DECLARATOR_LIST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_DECLARATOR_LIST

     FORMATTER / Option to insert a space before comma in a declarator list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_declarator_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_EXPRESSION_LIST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_EXPRESSION_LIST

     FORMATTER / Option to insert a space before comma in a expression list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_expression_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_BASE_TYPES

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_BASE_TYPES

     FORMATTER / Option to insert a space before comma in the base type names in a type header
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_base_types"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_TEMPLATE_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_TEMPLATE_ARGUMENTS

     FORMATTER / Option to insert a space before comma in template arguments
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_template_arguments"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_TEMPLATE_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_TEMPLATE_PARAMETERS

     FORMATTER / Option to insert a space before comma in template parameters
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_template_parameters"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_ANGLE_BRACKET_IN_TEMPLATE_ARGUMENTS

     FORMATTER / Option to insert a space before the opening angle bracket in template arguments
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_angle_bracket_in_template_arguments"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_ANGLE_BRACKET_IN_TEMPLATE_PARAMETERS

     FORMATTER / Option to insert a space before the opening angle bracket in template parameters
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_angle_bracket_in_template_parameters"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_INITIALIZER_LIST

     FORMATTER / Option to insert a space before the opening brace in an initializer list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_array_initializer"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_BLOCK

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_BLOCK

     FORMATTER / Option to insert a space before the opening brace in a block
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_block"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_METHOD_DECLARATION

     FORMATTER / Option to insert a space before the opening brace in a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_method_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_POINTER_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_POINTER_IN_METHOD_DECLARATION

     FORMATTER / Option to insert a space before a pointer in a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_pointer_in_method_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.8
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_POINTER_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_AFTER_POINTER_IN_METHOD_DECLARATION

     FORMATTER / Option to insert a space after a pointer in a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_pointer_in_method_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.8
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_POINTER_IN_DECLARATOR_LIST

    public static final String FORMATTER_INSERT_SPACE_AFTER_POINTER_IN_DECLARATOR_LIST

     FORMATTER / Option to insert a space after a pointer in a declarator list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_pointer_in_declarator_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.8
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_POINTER_IN_DECLARATOR_LIST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_POINTER_IN_DECLARATOR_LIST

     FORMATTER / Option to insert a space before a pointer in a declarator list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_pointer_in_declarator_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.8
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_SWITCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_SWITCH

     FORMATTER / Option to insert a space before the opening brace in a switch statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_switch"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_TYPE_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_TYPE_DECLARATION

     FORMATTER / Option to insert a space before the opening brace in a type declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_type_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_NAMESPACE_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_NAMESPACE_DECLARATION

     FORMATTER / Option to insert a space before the opening brace in a namespace declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_namespace_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_LINKAGE_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_LINKAGE_DECLARATION

     FORMATTER / Option to insert a space before the opening brace in a linkage declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_brace_in_linkage_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.8
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET

     FORMATTER / Option to insert a space before the opening bracket
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_bracket"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CATCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CATCH

     FORMATTER / Option to insert a space before the opening parenthesis in a catch
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_catch"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_FOR

     FORMATTER / Option to insert a space before the opening parenthesis in a for statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_for"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_IF

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_IF

     FORMATTER / Option to insert a space before the opening parenthesis in an if statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_if"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_DECLARATION

     FORMATTER / Option to insert a space before the opening parenthesis in a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_method_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_INVOCATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_INVOCATION

     FORMATTER / Option to insert a space before the opening parenthesis in a method invocation
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_method_invocation"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_EXCEPTION_SPECIFICATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_EXCEPTION_SPECIFICATION

     FORMATTER / Option to insert a space before the opening parenthesis in an exception specification
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_exception_specification"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

Since:
  5.1
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION

     FORMATTER / Option to insert a space before the opening parenthesis in a parenthesized expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_parenthesized_expression"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SWITCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SWITCH

     FORMATTER / Option to insert a space before the opening parenthesis in a switch statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_switch"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_WHILE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_WHILE

     FORMATTER / Option to insert a space before the opening parenthesis in a while statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_paren_in_while"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_POSTFIX_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_POSTFIX_OPERATOR

     FORMATTER / Option to insert a space before a postfix operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_postfix_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_PREFIX_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_PREFIX_OPERATOR

     FORMATTER / Option to insert a space before a prefix operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_prefix_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_QUESTION_IN_CONDITIONAL

    public static final String FORMATTER_INSERT_SPACE_BEFORE_QUESTION_IN_CONDITIONAL

     FORMATTER / Option to insert a space before question mark in a conditional expression
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_question_in_conditional"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON

    public static final String FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON

     FORMATTER / Option to insert a space before semicolon
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_semicolon"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON_IN_FOR

     FORMATTER / Option to insert a space before semicolon in for statement
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_semicolon_in_for"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_UNARY_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_UNARY_OPERATOR

     FORMATTER / Option to insert a space before unary operator
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_unary_operator"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACES_IN_INITIALIZER_LIST

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACES_IN_INITIALIZER_LIST

     FORMATTER / Option to insert a space between empty braces in an initializer list
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_between_empty_braces_in_array_initializer"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACKETS

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACKETS

     FORMATTER / Option to insert a space between empty brackets
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_between_empty_brackets"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_DECLARATION

     FORMATTER / Option to insert a space between empty parenthesis in a method declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_between_empty_parens_in_method_declaration"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_INVOCATION

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_INVOCATION

     FORMATTER / Option to insert a space between empty parenthesis in a method invocation
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_between_empty_parens_in_method_invocation"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_EXCEPTION_SPECIFICATION

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_EXCEPTION_SPECIFICATION

     FORMATTER / Option to insert a space between empty parenthesis in an exception specification
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_between_empty_parens_in_exception_specification"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

Since:
  5.1
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_OPENING_STRUCTURED_BINDING_NAME_LIST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_STRUCTURED_BINDING_NAME_LIST

     FORMATTER / Option to insert a space before the opening bracket of the name list in a structured binding declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_opening_structured_binding_name_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.9
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_OPENING_STRUCTURED_BINDING_NAME_LIST

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_STRUCTURED_BINDING_NAME_LIST

     FORMATTER / Option to insert a space after the opening bracket of the name list in a structured binding declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_opening_structured_binding_name_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

Since:
  6.9
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_STRUCTURED_BINDING_NAME_LIST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_STRUCTURED_BINDING_NAME_LIST

     FORMATTER / Option to insert a space before the closing bracket of the name list in a structured binding declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_closing_structured_binding_name_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

Since:
  6.9
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_STRUCTURED_BINDING_NAME_LIST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_STRUCTURED_BINDING_NAME_LIST

     FORMATTER / Option to insert a space before a comma in the name list of a structured binding declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_comma_in_structured_binding_name_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           DO_NOT_INSERT

Since:
  6.9
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_STRUCTURED_BINDING_NAME_LIST

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_STRUCTURED_BINDING_NAME_LIST

     FORMATTER / Option to insert a space after a comma in the name list of a structured binding declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_after_comma_in_structured_binding_name_list"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.9
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_INSERT_SPACE_BEFORE_REF_QUALIFIER_IN_STRUCTURED_BINDING

    public static final String FORMATTER_INSERT_SPACE_BEFORE_REF_QUALIFIER_IN_STRUCTURED_BINDING

     FORMATTER / Option to insert a space before a reference qualifier in a structured binding declaration
         - option id:         "org.eclipse.cdt.core.formatter.insert_space_before_ref_qualifier_in_structured_binding"
         - possible values:   { INSERT, DO_NOT_INSERT }
         - default:           INSERT

Since:
  6.9
See Also:
  `CCorePlugin.INSERT`, `CCorePlugin.DO_NOT_INSERT`, Constant Field Values

#### FORMATTER_KEEP_ELSE_STATEMENT_ON_SAME_LINE

    public static final String FORMATTER_KEEP_ELSE_STATEMENT_ON_SAME_LINE

     FORMATTER / Option to keep else statement on the same line
         - option id:         "org.eclipse.cdt.core.formatter.keep_else_statement_on_same_line"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_KEEP_EMPTY_INITIALIZER_LIST_ON_ONE_LINE

    public static final String FORMATTER_KEEP_EMPTY_INITIALIZER_LIST_ON_ONE_LINE

     FORMATTER / Option to keep empty initializer list one one line
         - option id:         "org.eclipse.cdt.core.formatter.keep_empty_array_initializer_on_one_line"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_KEEP_GUARDIAN_CLAUSE_ON_ONE_LINE

    public static final String FORMATTER_KEEP_GUARDIAN_CLAUSE_ON_ONE_LINE

     FORMATTER / Option to keep guardian clause on one line
         - option id:         "org.eclipse.cdt.core.formatter.format_guardian_clause_on_one_line"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_KEEP_SIMPLE_IF_ON_ONE_LINE

    public static final String FORMATTER_KEEP_SIMPLE_IF_ON_ONE_LINE

     FORMATTER / Option to keep simple if statement on the one line
         - option id:         "org.eclipse.cdt.core.formatter.keep_imple_if_on_one_line"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_KEEP_THEN_STATEMENT_ON_SAME_LINE

    public static final String FORMATTER_KEEP_THEN_STATEMENT_ON_SAME_LINE

     FORMATTER / Option to keep then statement on the same line
         - option id:         "org.eclipse.cdt.core.formatter.keep_then_statement_on_same_line"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_LINE_SPLIT

    public static final String FORMATTER_LINE_SPLIT

     FORMATTER / Option to specify the length of the page. Beyond this length, the formatter will try to split the code
         - option id:         "org.eclipse.cdt.core.formatter.lineSplit"
         - possible values:   "<n>", where n is zero or a positive integer
         - default:           "80"

See Also:
  Constant Field Values

#### FORMATTER_NUMBER_OF_EMPTY_LINES_TO_PRESERVE

    public static final String FORMATTER_NUMBER_OF_EMPTY_LINES_TO_PRESERVE

     FORMATTER / Option to specify the number of empty lines to preserve
         - option id:         "org.eclipse.cdt.core.formatter.number_of_empty_lines_to_preserve"
         - possible values:   "<n>", where n is zero or a positive integer
         - default:           "0"

See Also:
  Constant Field Values

#### FORMATTER_JOIN_WRAPPED_LINES

    public static final String FORMATTER_JOIN_WRAPPED_LINES

     FORMATTER / Option to specify whether the formatter can join wrapped lines or not
         - option id:         "org.eclipse.cdt.core.formatter.join_wrapped_lines"
         - possible values:   { TRUE, FALSE }
         - default:           TRUE

Since:
  5.3
See Also:
  Constant Field Values

#### FORMATTER_PUT_EMPTY_STATEMENT_ON_NEW_LINE

    public static final String FORMATTER_PUT_EMPTY_STATEMENT_ON_NEW_LINE

     FORMATTER / Option to specify whether or not empty statement should be on a new line
         - option id:         "org.eclipse.cdt.core.formatter.put_empty_statement_on_new_line"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### FORMATTER_TAB_CHAR

    public static final String FORMATTER_TAB_CHAR

     FORMATTER / Option to specify the tabulation size
         - option id:         "org.eclipse.cdt.core.formatter.tabulation.char"
         - possible values:   { TAB, SPACE, MIXED }
         - default:           TAB

More values may be added in the future.

See Also:
  `CCorePlugin.TAB`, `CCorePlugin.SPACE`, `MIXED`, Constant Field Values

#### FORMATTER_TAB_SIZE

    public static final String FORMATTER_TAB_SIZE

     FORMATTER / Option to specify the equivalent number of spaces that represents one tabulation
         - option id:         "org.eclipse.cdt.core.formatter.tabulation.size"
         - possible values:   "<n>", where n is zero or a positive integer
         - default:           "4"

See Also:
  Constant Field Values

#### FORMATTER_USE_TABS_ONLY_FOR_LEADING_INDENTATIONS

    public static final String FORMATTER_USE_TABS_ONLY_FOR_LEADING_INDENTATIONS

     FORMATTER / Option to use tabulations only for leading indentations
         - option id:         "org.eclipse.cdt.core.formatter.use_tabs_only_for_leading_indentations"
         - possible values:   { TRUE, FALSE }
         - default:           FALSE

See Also:
  `TRUE`, `FALSE`, Constant Field Values

#### INDENT_BY_ONE

    public static final int INDENT_BY_ONE

     FORMATTER / The wrapping is done by indenting by one compare to the current indentation.

See Also:
  Constant Field Values

#### INDENT_DEFAULT

    public static final int INDENT_DEFAULT

     FORMATTER / The wrapping is done by using the current indentation.

See Also:
  Constant Field Values

#### INDENT_ON_COLUMN

    public static final int INDENT_ON_COLUMN

     FORMATTER / The wrapping is done by indenting on column under the splitting location.

See Also:
  Constant Field Values

#### MIXED

    public static final String MIXED

     FORMATTER / Possible value for the option FORMATTER_TAB_CHAR

See Also:
  `CCorePlugin.TAB`, `CCorePlugin.SPACE`, `FORMATTER_TAB_CHAR`, Constant Field Values

#### NEXT_LINE

    public static final String NEXT_LINE

     FORMATTER / Value to set a brace location at the start of the next line with
                 the right indentation.

See Also:
  `FORMATTER_BRACE_POSITION_FOR_INITIALIZER_LIST`, `FORMATTER_BRACE_POSITION_FOR_BLOCK`, `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_SWITCH`, `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION`, Constant Field Values

#### NEXT_LINE_ON_WRAP

    public static final String NEXT_LINE_ON_WRAP

     FORMATTER / Value to set a brace location at the start of the next line if a wrapping
                 occurred.

See Also:
  `FORMATTER_BRACE_POSITION_FOR_INITIALIZER_LIST`, `FORMATTER_BRACE_POSITION_FOR_BLOCK`, `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_SWITCH`, `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION`, Constant Field Values

#### NEXT_LINE_SHIFTED

    public static final String NEXT_LINE_SHIFTED

     FORMATTER / Value to set a brace location at the start of the next line with
                 an extra indentation.

See Also:
  `FORMATTER_BRACE_POSITION_FOR_INITIALIZER_LIST`, `FORMATTER_BRACE_POSITION_FOR_BLOCK`, `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_SWITCH`, `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION`, Constant Field Values

#### TRUE

    public static final String TRUE

     FORMATTER / Value to set an option to true.

See Also:
  Constant Field Values

#### WRAP_COMPACT

    public static final int WRAP_COMPACT

     FORMATTER / The wrapping is done using as few lines as possible.

See Also:
  Constant Field Values

#### WRAP_COMPACT_FIRST_BREAK

    public static final int WRAP_COMPACT_FIRST_BREAK

     FORMATTER / The wrapping is done putting the first element on a new
                 line and then wrapping next elements using as few lines as possible.

See Also:
  Constant Field Values

#### WRAP_NEXT_PER_LINE

    public static final int WRAP_NEXT_PER_LINE

     FORMATTER / The wrapping is done by putting each element on its own line
                 except the first element.

See Also:
  Constant Field Values

#### WRAP_NEXT_SHIFTED

    public static final int WRAP_NEXT_SHIFTED

     FORMATTER / The wrapping is done by putting each element on its own line.
                 All elements are indented by one except the first element.

See Also:
  Constant Field Values

#### WRAP_NO_SPLIT

    public static final int WRAP_NO_SPLIT

     FORMATTER / Value to disable alignment.

See Also:
  Constant Field Values

#### WRAP_ONE_PER_LINE

    public static final int WRAP_ONE_PER_LINE

     FORMATTER / The wrapping is done by putting each element on its own line.

See Also:
  Constant Field Values

#### FORMATTER_ON_TAG

    public static final String FORMATTER_ON_TAG

     FORMATTER / Default formatter on tag

Since:
  6.7
See Also:
  Constant Field Values

#### FORMATTER_OFF_TAG

    public static final String FORMATTER_OFF_TAG

     FORMATTER / Default formatter off tag

Since:
  6.7
See Also:
  Constant Field Values

### Constructor Detail

#### DefaultCodeFormatterConstants

    public DefaultCodeFormatterConstants()

### Method Detail

#### createAlignmentValue

    public static String createAlignmentValue​(boolean forceSplit,
                                              int wrapStyle,
                                              int indentStyle)

Create a new alignment value according to the given values. This must be used to set up the alignment options.

Parameters:
  `forceSplit` - the given force value
  `wrapStyle` - the given wrapping style
  `indentStyle` - the given indent style
Returns:
  the new alignment value

#### getDefaultSettings

    public static Map<String,​String> getDefaultSettings()

Returns the default formatter settings

Returns:
  the default settings

#### getKandRSettings

    public static Map<String,​String> getKandRSettings()

Returns the K&R formatter settings

Returns:
  the K&R settings

#### getAllmanSettings

    public static Map<String,​String> getAllmanSettings()

Returns the Allman formatter settings

Returns:
  the Allman settings

#### getGNUSettings

    public static Map<String,​String> getGNUSettings()

Returns the GNU formatter settings

Returns:
  the GNU settings

#### getWhitesmithsSettings

    public static Map<String,​String> getWhitesmithsSettings()

Returns the Whitesmiths formatter settings

Returns:
  the Whitesmiths settings

#### getForceWrapping

    public static boolean getForceWrapping​(String value)

Return the force value of the given alignment value. The given alignment value should be created using the `createAlignmentValue(boolean, int, int)` API.

Parameters:
  `value` - the given alignment value
Returns:
  the force value of the given alignment value
Throws:
  `IllegalArgumentException` - if the given alignment value is null, or if it doesn't have a valid format.
See Also:
  `createAlignmentValue(boolean, int, int)`

#### getIndentStyle

    public static int getIndentStyle​(String value)

Return the indentation style of the given alignment value. The given alignment value should be created using the `createAlignmentValue(boolean, int, int)` API.

Parameters:
  `value` - the given alignment value
Returns:
  the indentation style of the given alignment value
Throws:
  `IllegalArgumentException` - if the given alignment value is null, or if it doesn't have a valid format.
See Also:
  `createAlignmentValue(boolean, int, int)`

#### getWrappingStyle

    public static int getWrappingStyle​(String value)

Return the wrapping style of the given alignment value. The given alignment value should be created using the `createAlignmentValue(boolean, int, int)` API.

Parameters:
  `value` - the given alignment value
Returns:
  the wrapping style of the given alignment value
Throws:
  `IllegalArgumentException` - if the given alignment value is null, or if it doesn't have a valid format.
See Also:
  `createAlignmentValue(boolean, int, int)`

#### setForceWrapping

    public static String setForceWrapping​(String value,
                                          boolean force)

Set the force value of the given alignment value and return the new value. The given alignment value should be created using the `createAlignmentValue(boolean, int, int)` API.

Parameters:
  `value` - the given alignment value
  `force` - the given force value
Returns:
  the new alignment value
Throws:
  `IllegalArgumentException` - if the given alignment value is null, or if it doesn't have a valid format.
See Also:
  `createAlignmentValue(boolean, int, int)`

#### setIndentStyle

    public static String setIndentStyle​(String value,
                                        int indentStyle)

Set the indentation style of the given alignment value and return the new value. The given value should be created using the `createAlignmentValue(boolean, int, int)` API.

Parameters:
  `value` - the given alignment value
  `indentStyle` - the given indentation style
Returns:
  the new alignment value
Throws:
  `IllegalArgumentException` - if the given alignment value is null, if the given indentation style is not one of the possible indentation styles, or if the given alignment value doesn't have a valid format.
See Also:
  `INDENT_BY_ONE`, `INDENT_DEFAULT`, `INDENT_ON_COLUMN`, `createAlignmentValue(boolean, int, int)`

#### setWrappingStyle

    public static String setWrappingStyle​(String value,
                                          int wrappingStyle)

Set the wrapping style of the given alignment value and return the new value. The given value should be created using the `createAlignmentValue(boolean, int, int)` API.

Parameters:
  `value` - the given alignment value
  `wrappingStyle` - the given wrapping style
Returns:
  the new alignment value
Throws:
  `IllegalArgumentException` - if the given alignment value is null, if the given wrapping style is not one of the possible wrapping styles, or if the given alignment value doesn't have a valid format.
See Also:
  `WRAP_COMPACT`, `WRAP_COMPACT_FIRST_BREAK`, `WRAP_NEXT_PER_LINE`, `WRAP_NEXT_SHIFTED`, `WRAP_NO_SPLIT`, `WRAP_ONE_PER_LINE`, `createAlignmentValue(boolean, int, int)`